IPC::Run3::ProfArrayBuffer(3)

NAME
IPC::Run3::ProfArrayBuffer - Store profile events in RAM in an array

SYNOPSIS

DESCRIPTION

METHODS

"IPC::Run3::ProfArrayBuffer->new()"
"$buffer->app_call(@events)"
"$buffer->app_exit(@events)"
"$buffer->run_exit(@events)"
    The three above methods push the given events onto the stack of recorded events.

get_events
    Returns a list of all the events. Each event is an ARRAY reference like:

       [ "app_call", 1.1, ... ];

LIMITATIONS

COPYRIGHT
Copyright 2003, R. Barrie Slaymaker, Jr., All Rights Reserved

LICENSE
You may use this module under the terms of the BSD, Artistic, or GPL licenses, any version.

AUTHOR
Barrie Slaymaker <barries@slaysys.com>